<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1BuildingTile.html">BuildingTile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::BuildingTile Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a2dfa2cdebf498afa210e42ef5f1fffa6">Align</a>() override</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a705937dd71116d5ee6bd6f2869e6bb3b">BuildingTile</a>(Attributes &amp;attributes)</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a0b1b126c456b05e095ce62b931c988b4">BuildingTypeToString</a>(BuildingType type) -&gt; std::string</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#ad5401c7e1b74b3c556b1960d150c15f1">draw</a>(sf::RenderTarget &amp;target, sf::RenderStates states) const override</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#adb1bf688f0fa132bce941e632ea65694">GetAttributes</a>() -&gt; Attributes override</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#af6c613329acd85d3a7ebf194ae5fa763">GetCoordinates</a>() -&gt; sf::Vector2f</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a1308da3c38bb6a81a8cd135145662b55">GetCost</a>() -&gt; unsigned int</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a>() const -&gt; size_t</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a3ac25ea653262607007c15e5d68f9685">GetOrientation</a>() -&gt; unsigned</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a2f7b2d4315bab48a232bbfe23c0ba5d3">GetPopulation</a>() -&gt; unsigned int</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a67662dd1d7c62d5835c5120b723ba1e5">GetProfit</a>() -&gt; unsigned int</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a53d8865c694dfb8240eddce9fe1d6254">GetTexture</a>() -&gt; sf::Texture *</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#ad6b1fa9f1db1fb5aacb6bfb5f2984ad9">GetTextureName</a>() const -&gt; const std::string &amp;</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a662c2a65a476d31a4958f9c9c1a1ef18">GetTileType</a>() -&gt; TileType override</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a389b4f46707f195fa2ed2e22ec221cb6">GetVertices</a>() -&gt; TileVertices</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a47c85b1dd1592f7de2cdd05b934f52e9">IsIndustrial</a>() -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a7f6d02f81f64d831817c3e37f537b8ca">IsResidential</a>() -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a716d8b8c491751d505c16efdfdb09ffd">mCoordinates</a></td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a1f5447e844dced086af932cd654624b8">mRotation</a></td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#ac25ae0051a743d6d2268055b9b2a80f7">mSprite</a></td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#aa41280d666d951b77e2b350abe440b57">mTexture</a></td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#ab2075c2d7f3e48756092e2ffc4285119">mTextureName</a></td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a10ad4cf3efcbf28f9619728645dbf177">OnEvent</a>(IEvent *e) override</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a1d29c8525bf4ff2360d8ed2da06417a2">OnKeyboardReleased</a>(IEvent *e)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a16878527ccba59914b345b7cf314df94">OnMouseMoved</a>(IEvent *e)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a301a080e5cdb580c2224a9548de9d753">OnMousePressed</a>(IEvent *e)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a>(const IEventSubscriber &amp;) -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a0191b303c80a99a08d039b5bf750634c">SetCoordinates</a>(sf::Vector2f)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#aa73c8e60689b326a699777bf379ed67f">SetTexture</a>(std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a850ccd2fa718bf711ee353da2309f7d1">StringToBuildingType</a>(const std::string &amp;str) -&gt; BuildingType</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a7266360d4b7b0603596252ffb1edce51">Tile</a>(sf::Vector2f coordinates, sf::Texture &amp;texture, std::string texture_name, unsigned rotation)</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a76d15a17d011f27adcd9defccf00f520">Update</a>()</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html#a77adc5a8244e48413334a56c51380aa7">~BuildingTile</a>() override=default</td><td class="entry"><a class="el" href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Tile.html#a3e180f4be66ea12ad1e2a95a66fad2e7">~Tile</a>() override=0</td><td class="entry"><a class="el" href="classgg_1_1Tile.html">gg::Tile</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
